<?php
namespace Teknisa\EST\Modules\Relatorios\Factories;

class Est70000ResumoDeOperacoesFactory {

    protected $connection;

	public function __construct($entityManager) {
		$this->connection = $entityManager->getConnection();
	}
	
    // 	This function gets groupFili data on DB
    public function getGroupFiliInfo($params){
    	$sql = "SELECT DISTINCT CDFILISUBGR
				  FROM PRSUBGRPROD
			 	 WHERE CDGRUPPROD = :CDGRUPPROD
			 	 ORDER BY CDFILISUBGR ASC";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
}